Subject: Linux on Alpha, math library

From: [email-masked] (Victoria Buch)
Date: Sat, 29 Aug 1998 12:28:12 +0300

>>>>>>>>>>>>
>>>>>>>>>
> Igor J. Barani writes:
>  > Dear CCL Readers,
>  > 
>  > I have just recently installed Linux on a DEC Alpha and when I compile
>  > several programs in fortran on it, they seem to compile to twice the
>  > size and require 9 times as long to run than on DEC UNIX.  Do you have
>  > any idea why this may be so and how I may be able to speed up the
>  > processes?  Any suggestions would be greatly appreciated.  Thank you.
>>>>>>>>>>>>>>

We have just been there. You have the latest Red Hat Linux, dont you?
So: the latest math library libm version 2.0.7 from gnu is messed up.
Our system menager installed old version 2.0.1 - works faster by a factor 2. 
More generally our sexperience suggests that
Alpha / Linux for FP operations is good only
for simple operations + - * / . My simulation
programs are still 40% below
the performance of Alpha-DEC, and only 10% faster than Petium II (400MHz)
which is more than 2 times cheaper. Disappointing.
Good luck. Victoria
 
Prof. Victoria Buch
The Hebrew University of Jerusalem
The Fritz Haber Research Center for Molecular Dynamics
and Department of Physical Chemistry
Jerusalem 91904, Israel
Tel. 972-2-6584223, Fax: 972-2-6513742
e-mail: [email-masked]
http://www.fh.huji.ac.il/